Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.core.v1
Class MinimumAgeAuthorizedType

    java.lang.Object
      be.fgov.ehealth.dics.core.v1.MinimumAgeAuthorizedType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-07-06T09:32:57+02:00",
               comments="JAXB RI v2.2.6")
    public class MinimumAgeAuthorizedType

extends Object
implements Serializable

Java class for MinimumAgeAuthorizedType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MinimumAgeAuthorizedType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>float">
           <attribute name="unit" use="required" type="{urn:be:fgov:ehealth:dics:core:v1}ValidityPeriodUnit" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`MinimumAgeAuthorizedType()`

Method Summary
`ValidityPeriodUnit` | `getUnit()` Gets the value of the unit property.
`float` | `getValue()` Gets the value of the value property.
`void` | `setUnit(ValidityPeriodUnit value)` Sets the value of the unit property.
`void` | `setValue(float value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MinimumAgeAuthorizedType

    public MinimumAgeAuthorizedType()

Method Detail

### getValue

    public float getValue()

  Gets the value of the value property.

### setValue

    public void setValue(float value)

  Sets the value of the value property.

### getUnit

    public ValidityPeriodUnit getUnit()

  Gets the value of the unit property.

  Returns:
    possible object is `ValidityPeriodUnit`

### setUnit

    public void setUnit(ValidityPeriodUnit value)

  Sets the value of the unit property.

  Parameters:
    `value` - allowed object is `ValidityPeriodUnit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.